package com.dgt.graphdemo.utils;


import java.util.Date;

/**
 * @ClassName: SysUser.java
 * @Description: 用户实体
 * @author Mars
 * @date 2015-7-2 下午5:38:20
 *
 */
public class SysUser  {

    private static final long serialVersionUID = -5190364084748102337L;
    /** 用户类型 **/
    public static final String USER_TYPE_ADMIN = "10";
    public static final String USER_TYPE_GENERAL = "20";

    private Long userId;// 主键
    private String loginName;// 登录名称
    private String loginPassword;// 密码
    private String userName;// 用户名称
    private String salt;// 加密种子
    private String email;// 邮箱
    private String mobile;// 电话
    private String certType;// 证件类型
    private String certNo;// 证件号码
    private String birthday;// 生日
    private String sex;// 性别
    private String userType;// 用户类型
    private String userPosition;// 用户职位
    private String userStatus;// 用户状态：10、20、30、40
    private String status;// 状态：10、50、90
    private Date createDate;// 创建时间
    private Date updateDate;// 更新时间

    /**
     * 主键
     * 
     * @return
     */
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 登录名称
     * 
     * @return
     */
    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    /**
     * 登录密码
     * 
     * @return
     */
    public String getLoginPassword() {
        return loginPassword;
    }

    public void setLoginPassword(String loginPassword) {
        this.loginPassword = loginPassword;
    }

    /**
     * 用户名称
     * 
     * @return
     */
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 盐值
     */
    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    /**
     * 邮箱
     * 
     * @return
     */
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * 电话
     * 
     * @return
     */
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 证件类型
     * 
     * @return
     */
    public String getCertType() {
        return certType;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    /**
     * 证件号码
     * 
     * @return
     */
    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    /**
     * 生日
     * 
     * @return
     */
    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    /**
     * 性别
     * 
     * @return
     */
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    /**
     * 用户类型
     * 
     * @return
     */
    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    /**
     * 用户状态：10、20、30、40
     * 
     * @return
     */
    public String getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    /**
     * 状态
     * 
     * @return
     */
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 创建时间
     * 
     * @return
     */
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 更新时间
     * 
     * @return
     */
    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 用户职位
     * 
     * @return
     */
    public String getUserPosition() {
        return userPosition;
    }

    public void setUserPosition(String userPosition) {
        this.userPosition = userPosition;
    }
}
